# Class HealpixSortedQuerySequenceFactory

java.lang.Object
uk.ac.starlink.ttools.cone.HealpixSortedQuerySequenceFactory

All Implemented Interfaces:
  `QuerySequenceFactory`

public class HealpixSortedQuerySequenceFactory extends Object implements QuerySequenceFactory
QuerySequenceFactory that presorts rows according to HEALPix pixel index.

Since:
  3 Jul 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HealpixSortedQuerySequenceFactory(QuerySequenceFactory baseFact)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConeQueryRowSequence`
`createQuerySequence(uk.ac.starlink.table.StarTable table)`
Creates a query sequence.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HealpixSortedQuerySequenceFactory

public HealpixSortedQuerySequenceFactory(QuerySequenceFactory baseFact)
Constructor.

Parameters:
  `baseFact` - query sequence factory on which this one is based

## Method Details

### createQuerySequence

public ConeQueryRowSequence createQuerySequence(uk.ac.starlink.table.StarTable table) throws IOException
Description copied from interface: `QuerySequenceFactory`
Creates a query sequence.

Specified by:
  `createQuerySequence` in interface `QuerySequenceFactory`
Parameters:
  `table` - input table
Throws:
  `IOException`